searchNodes=[{"doc":"Provides functions for transpiling MJML email templates to HTML.","ref":"Mjml.html","title":"Mjml","type":"module"},{"doc":"Converts an MJML string to HTML content. (Passing any options – which the underlying mrml Rust crate already handles – is not yet implemented.) Returns a result tuple: {:ok, html} for a successful MJML transpiling {:error, message} for a failed MJML transpiling Examples iex&gt; Mjml . to_html ( &quot;&lt;mjml&gt;&lt;mj-head&gt;&lt;/mj-head&gt;&lt;/mjml&gt;&quot; ) { :ok , &quot;&lt;!doctype html&gt;&lt;html xmlns=...&quot; } iex&gt; Mjml . to_html ( &quot;something not MJML&quot; ) { :error , &quot;Couldn&#39;t convert MJML template&quot; }","ref":"Mjml.html#to_html/1","title":"Mjml.to_html/1","type":"function"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog and this project adheres to Semantic Versioning . For clarity, major releases of mjml_nif use the respective mrml releases with the same major release number. I.e. mjml_nif 0.x versions use mrml versions &gt;= 0.1, &lt; 1.0.0 , and mjml_nif 1.x versions use mrml versions &gt;= 1.0.0, &lt; 2.0.0 , etc.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Changed Use Rustler Precompiled : this allows to use the mjml NIF without the Rust compiler 🎉 Use mrml v1.2.8 (see mrml diff v1.2.7..v1.2.8 ))","ref":"changelog.html#1-3-0-2022-03-18","title":"Changelog - 1.3.0 - 2022-03-18","type":"extras"},{"doc":"Changed Update rustler to v0.24 (drops support for OTP &lt;22, requires Elixir ~&gt; 1.11)","ref":"changelog.html#1-2-0-2022-02-25","title":"Changelog - 1.2.0 - 2022-02-25","type":"extras"},{"doc":"Changed Update rustler to v0.23 (drops support for OTP 20) Use mrml v1.2.7, which allows inner elements in mj-social-element &amp; mj-navbar-link (see mrml diff v1.2.5..v1.2.7 )","ref":"changelog.html#1-1-3-2022-02-16","title":"Changelog - 1.1.3 - 2022-02-16","type":"extras"},{"doc":"Changed Use mrml v1.2.5, which allows the lang attribute in the mjml tag and allows using mj-raw tags in mj-head (see mrml diff v1.2.3..v1.2.5 ) Fixed Misc doc changes ( #31 )","ref":"changelog.html#1-1-2-2021-10-04","title":"Changelog - 1.1.2 - 2021-10-04","type":"extras"},{"doc":"Fixed Use mrml v1.2.3, which fixes a bug with ignored mj-class attributes (see jdrouet/mrml #164 , mrml diff v1.2.2..v1.2.3 ))","ref":"changelog.html#1-1-1-2021-06-01","title":"Changelog - 1.1.1 - 2021-06-01","type":"extras"},{"doc":"Changed Use mrml v1.2.2 Support OTP 24 mjml_nif crate type changed from &quot;dylib&quot; to &quot;cdylib&quot;","ref":"changelog.html#1-1-0-2021-05-23","title":"Changelog - 1.1.0 - 2021-05-23","type":"extras"},{"doc":"Changed Use mrml v1.0.0 Pass on parsing/rendering error messages from mrml to the error tuple of MJML.to_html/1","ref":"changelog.html#1-0-0-2021-04-07","title":"Changelog - 1.0.0 - 2021-04-07","type":"extras"},{"doc":"Fixed Compilation on aarch64 MacOS","ref":"changelog.html#0-3-1-2021-02-23","title":"Changelog - 0.3.1 - 2021-02-23","type":"extras"},{"doc":"Changed Use mrml v0.5.0 Fixed Warning about special link args for x86_64-apple-darwin target","ref":"changelog.html#0-3-0-2021-02-02","title":"Changelog - 0.3.0 - 2021-02-02","type":"extras"},{"doc":"Changed Use mrml v0.3.3","ref":"changelog.html#0-2-0-2020-10-19","title":"Changelog - 0.2.0 – 2020-10-19","type":"extras"},{"doc":"Initial release","ref":"changelog.html#0-1-0-2020-07-19","title":"Changelog - 0.1.0 – 2020-07-19","type":"extras"},{"doc":"Thanks for considering to contribute to mjml_nif. ❤ Bug reports, feature suggestions, and pull requests for any open issues are very welcome. Issues can be reported on GitHub: https://github.com/adoptoposs/mjml_nif/issues/new. Please read and follow our Code of Conduct .","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"In order to setup the development environment you need to have some dependencies installed on your machine: git Rust Elixir Checkout the mjml_nif repository with $ git clone git@github.com:adoptoposs/mjml_nif.git Then step into the project directory and install the dependencies with mix deps . get","ref":"contributing.html#development-setup","title":"Contributing - Development setup","type":"extras"},{"doc":"Here’s how to contribute: Fork it ( https://github.com/adoptoposs/mjml_nif/fork ) Create your feature branch (git checkout -b feature/my-new-feature) Commit your changes (git commit -am 'Add some feature') Push to the branch (git push origin feature/my-new-feature) Create a new Pull Request Try to add tests along with your new feature. This will ensure that your code does not break existing functionality and that your feature is working as expected. You can run the tests with: mix test If you’ve changed any Elixir code, please run Elixir’s code formatter before committing your changes: mix format This will keep the code style consistent and future code diffs as small as possible. As a contributor, please keep in mind this project is free and open source software. Maintainers are not paid to work on it, so there might be times were the maintainers seem unresponsive. If you have that feeling, please be patient and be assured, that all team members try their best to review your contribution and reply to you as soon as their time allows.","ref":"contributing.html#how-to-contribute","title":"Contributing - How to Contribute","type":"extras"},{"doc":"","ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras"},{"doc":"We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, religion, or sexual identity and orientation. We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.","ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras"},{"doc":"Examples of behavior that contributes to a positive environment for our community include: Demonstrating empathy and kindness toward other people Being respectful of differing opinions, viewpoints, and experiences Giving and gracefully accepting constructive feedback Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience Focusing on what is best not just for us as individuals, but for the overall community Examples of unacceptable behavior include: The use of sexualized language or imagery, and sexual attention or advances of any kind Trolling, insulting or derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or email address, without their explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras"},{"doc":"Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful. Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.","ref":"code_of_conduct.html#enforcement-responsibilities","title":"Code of Conduct - Enforcement Responsibilities","type":"extras"},{"doc":"This Code of Conduct applies within all community spaces, and also applies when an individual is officially representing the community in public spaces. Examples of representing our community include using an official e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event.","ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras"},{"doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement by opening an issue or contacting one or more of the project maintainers. All complaints will be reviewed and investigated promptly and fairly. All community leaders are obligated to respect the privacy and security of the reporter of any incident.","ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras"},{"doc":"Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct: 1. Correction Community Impact : Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community. Consequence : A private, written warning from community leaders, providing clarity around the nature of the violation and an explanation of why the behavior was inappropriate. A public apology may be requested. 2. Warning Community Impact : A violation through a single incident or series of actions. Consequence : A warning with consequences for continued behavior. No interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, for a specified period of time. This includes avoiding interactions in community spaces as well as external channels like social media. Violating these terms may lead to a temporary or permanent ban. 3. Temporary Ban Community Impact : A serious violation of community standards, including sustained inappropriate behavior. Consequence : A temporary ban from any sort of interaction or public communication with the community for a specified period of time. No public or private interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, is allowed during this period. Violating these terms may lead to a permanent ban. 4. Permanent Ban Community Impact : Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an individual, or aggression toward or disparagement of classes of individuals. Consequence : A permanent ban from any sort of public interaction within the community.","ref":"code_of_conduct.html#enforcement-guidelines","title":"Code of Conduct - Enforcement Guidelines","type":"extras"},{"doc":"This Code of Conduct is adapted from the Contributor Covenant , version 2.0, available at https://www.contributor-covenant.org/version/2/0/code_of_conduct.html. Community Impact Guidelines were inspired by Mozilla's code of conduct enforcement ladder . For answers to common questions about this code of conduct, see the FAQ at https://www.contributor-covenant.org/faq. Translations are available at https://www.contributor-covenant.org/translations.","ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras"},{"doc":"Copyright (c) 2020 Paul Götze Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Native Implemented Function (NIF) bindings for the MJML Rust implementation ( mrml ).","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package can be installed by adding mjml to your list of dependencies in mix.exs : def deps do [ { :mjml , &quot;~&gt; 1.3.0&quot; } ] end By default you don't need Rust installed because the lib will try to download a precompiled NIF file. In case you want to force compilation set the MJML_BUILD environment variable to true or 1 . Alternatively you can also set the application env in order to force the build: config :rustler_precompiled , :force_build , mjml : true","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Transpile MJML templates to HTML with: mjml = &quot;&lt;mjml&gt;...&lt;/mjml&gt;&quot; { :ok , html } = Mjml . to_html ( mjml ) # For an invalid MJML template: mjml = &quot;something not MJML&quot; { :error , message } = Mjml . to_html ( mjml )","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"We encourage you to contribute to mjml_nif. Please check our CONTRIBUTING.md guides for more information. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to our CODE_OF_CONDUCT.md .","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"Copyright (c) 2020 Paul Götze This work is free. You can redistribute it and/or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]